### Enumeration

# SpiceClientGLib ClientError

#### Declaration

    error-domain SpiceClientGLib.ClientError

#### Description [src]

Error codes returned by spice-client API.

#### Members

`SPICE_CLIENT_ERROR_FAILED`

  Generic error code.

  - Value: `0`
  - Available since: 2.0
`SPICE_CLIENT_ERROR_USB_DEVICE_REJECTED`

  Device redirection rejected by host.

  - Value: `1`
  - Available since: 2.0
`SPICE_CLIENT_ERROR_USB_DEVICE_LOST`

  Device disconnected (fatal IO error).

  - Value: `2`
  - Available since: 2.0
`SPICE_CLIENT_ERROR_AUTH_NEEDS_PASSWORD`

  Password is required.

  - Value: `3`
  - Available since: 2.0
`SPICE_CLIENT_ERROR_AUTH_NEEDS_USERNAME`

  Username is required.

  - Value: `4`
  - Available since: 2.0
`SPICE_CLIENT_ERROR_AUTH_NEEDS_PASSWORD_AND_USERNAME`

  Password and username are required.

  - Value: `5`
  - Available since: 2.0
`SPICE_CLIENT_ERROR_USB_SERVICE`

  USB service error.

  - Value: `6`
  - Available since: 2.0